<?php
/*********************************************************************************
 * The contents of this file are subject to the TimeTrex Public License Version
 * 1.1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.TimeTrex.com/TPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by TimeTrex" logo and
 *    (ii) the TimeTrex copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: TimeTrex Open Source
 * The Initial Developer of the Original Code is TimeTrex Payroll Services
 * Portions created by TimeTrex are Copyright (C) 2004-2007 TimeTrex Payroll Services;
 * All Rights Reserved.
 *
 ********************************************************************************/
/*
 * $Revision: 1827 $
 * $Id: FastTree.class.php 1827 2008-04-17 16:57:18Z ipso $
 * $Date: 2008-04-17 09:57:18 -0700 (Thu, 17 Apr 2008) $
 */

/**
 * @package Core
 */
class LockFile {
	var $file_name = NULL;

	function __construct( $file_name ) {

		$this->file_name = $file_name;

		return TRUE;
	}

	function getFileName( ) {
		return $this->file_name;
	}

	function setFileName($file_name) {
		if ( $file_name != '') {
			$this->file_name = $file_name;

			return TRUE;
		}

		return FALSE;
	}

	function create() {
		return touch( $this->getFileName() );
	}

	function delete() {
		return unlink( $this->getFileName() );
	}

	function exists() {
		return file_exists( $this->getFileName() );
	}
}
?>
